Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(9)

Side by Side Diff: perf/sys/ingest_init

Issue 1473383002: Moved Perf to systemd and also move to using tracedb. (Closed) Base URL: https://skia.googlesource.com/buildbot@master
Patch Set: Created 5 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
OLDNEW
(Empty)
1 #! /bin/sh
2 ### BEGIN INIT INFO
3 # Provides: ingest
4 # Required-Start: $remote_fs $syslog
5 # Required-Stop: $remote_fs $syslog
6 # Default-Start: 2 3 4 5
7 # Default-Stop: 0 1 6
8 # Short-Description: Start ingest.
9 # Description: Moves Google Storage data into Tiles.
10 ### END INIT INFO
11
12 # Author: Joe Gregorio <jcgregorio@google.com> (copied by Kelvin Ly)
13 #
14 # Copied from /etc/init.d/skeleton and modified only the following
15 # environment variables and updated the start-stop-daemon calls
16 # in do_start() to add --make-pidfile, --background, and --chuid.
17
18 # Do NOT "set -e"
19
20 # PATH should only include /usr/* if it runs after the mountnfs.sh script
21 PATH=/sbin:/usr/sbin:/bin:/usr/bin
22 DESC="The Skia JSON ingest application."
23 NAME=ingest
24 DAEMON=/usr/local/bin/$NAME
25 DATA_DIR="/mnt/pd0/data"
26 DAEMON_ARGS="--log_dir=/var/log/logserver --config_filename=/usr/local/share/ski aperf/perf_ingest.toml"
27 PIDFILE=/var/run/$NAME.pid
28 SCRIPTNAME=/etc/init.d/$NAME
29
30 # Exit if the package is not installed
31 [ -x "$DAEMON" ] || exit 0
32
33 # Read configuration variable file if it is present
34 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
35
36 # Load the VERBOSE setting and other rcS variables
37 . /lib/init/vars.sh
38
39 # Define LSB log_* functions.
40 # Depend on lsb-base (>= 3.2-14) to ensure that this file is present
41 # and status_of_proc is working.
42 . /lib/lsb/init-functions
43
44 #
45 # Function that starts the daemon/service
46 #
47 do_start()
48 {
49 # Return
50 # 0 if daemon has been started
51 # 1 if daemon was already running
52 # 2 if daemon could not be started
53 start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON --make-pidfi le --background --chuid default --chdir /home/default --test > /dev/null \
54 || return 1
55 start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON --make-pidfi le --background --chuid default --chdir /home/default --exec $DAEMON -- \
56 $DAEMON_ARGS \
57 || return 2
58 # Add code here, if necessary, that waits for the process to be ready
59 # to handle requests from services started subsequently which depend
60 # on this one. As a last resort, sleep for some time.
61 }
62
63 #
64 # Function that stops the daemon/service
65 #
66 do_stop()
67 {
68 # Return
69 # 0 if daemon has been stopped
70 # 1 if daemon was already stopped
71 # 2 if daemon could not be stopped
72 # other if a failure occurred
73 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFI LE --name $NAME
74 RETVAL="$?"
75 [ "$RETVAL" = 2 ] && return 2
76 # Wait for children to finish too if this is a daemon that forks
77 # and if the daemon is only ever run from this initscript.
78 # If the above conditions are not satisfied then add some other code
79 # that waits for the process to drop all resources that could be
80 # needed by services started subsequently. A last resort is to
81 # sleep for some time.
82 start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DA EMON
83 [ "$?" = 2 ] && return 2
84 # Many daemons don't delete their pidfiles when they exit.
85 rm -f $PIDFILE
86 return "$RETVAL"
87 }
88
89 #
90 # Function that sends a SIGHUP to the daemon/service
91 #
92 do_reload() {
93 #
94 # If the daemon can reload its configuration without
95 # restarting (for example, when it is sent a SIGHUP),
96 # then implement that here.
97 #
98 start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $N AME
99 return 0
100 }
101
102 case "$1" in
103 start)
104 [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
105 do_start
106 case "$?" in
107 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
108 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
109 esac
110 ;;
111 stop)
112 [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
113 do_stop
114 case "$?" in
115 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
116 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
117 esac
118 ;;
119 status)
120 status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
121 ;;
122 #reload|force-reload)
123 #
124 # If do_reload() is not implemented then leave this commented out
125 # and leave 'force-reload' as an alias for 'restart'.
126 #
127 #log_daemon_msg "Reloading $DESC" "$NAME"
128 #do_reload
129 #log_end_msg $?
130 #;;
131 restart|force-reload)
132 #
133 # If the "reload" option is implemented then remove the
134 # 'force-reload' alias
135 #
136 log_daemon_msg "Restarting $DESC" "$NAME"
137 do_stop
138 case "$?" in
139 0|1)
140 do_start
141 case "$?" in
142 0) log_end_msg 0 ;;
143 1) log_end_msg 1 ;; # Old process is still running
144 *) log_end_msg 1 ;; # Failed to start
145 esac
146 ;;
147 *)
148 # Failed to stop
149 log_end_msg 1
150 ;;
151 esac
152 ;;
153 *)
154 #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
155 echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
156 exit 3
157 ;;
158 esac
159
160 :
OLDNEW

Powered by Google App Engine
This is Rietveld 408576698